"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
class Question {
    // constructor(name: string, isRequired: boolean = true, isOption: boolean = true) {
    constructor(name, props) {
        this.isRequired = true;
        this.isOption = true;
        if (props !== undefined) {
            this.setProps(props);
        }
        this.name = name;
    }
    setProps(props) {
        Object
            .keys(props)
            .forEach(p => {
            // tslint:disable-next-line: no-any
            this[p] = props[p];
        });
    }
}
exports.Question = Question;

//# sourceMappingURL=Question.js.map
