import { Project } from './Project';
import { ProjectInfo } from './ProjectInfo';
import { TemplateFileInfo } from './TemplateFileInfo';
import { TemplateType } from './TemplateType';
export declare class ProjectPathAnalyser {
    private readonly joinTemplatePath;
    private readonly templatePath;
    constructor(templatePath: (...args: string[]) => string);
    getProjectFiles(project: ProjectInfo): Project;
    getDeepFiles(dir: string): TemplateFileInfo[];
    getFiles(dir: string): TemplateFileInfo[];
    getDirectoryDirectories(dir: string): string[];
    getDirectoryFiles(dir: string): string[];
    categorizeFile(name: string): TemplateType;
}
